Page MenuHomePhabricator

"Depicts crawling": Add displaying/editing statements to File page
Closed, ResolvedPublic

Description

Showing multi-lingual captions on File page covered by T202287 - also need to display depicts statements, and allow them to be edited

Designs here https://wikimedia.invisionapp.com/share/NJOIMI9D6SX#/screens/330580747
Tabification is necessary, the gray boxes with "download this file" and "what is metadata" are not.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
ResolvedRamsey-WMF
ResolvedCparle
Resolvedmatthiasmullie
Resolvedegardner
ResolvedCparle
Resolvedegardner
Resolvedmatthiasmullie
ResolvedCparle
ResolvedCparle
OpenNone
ResolvedCparle
ResolvedJdforrester-WMF
OpenNone
OpenWMDE-leszek
ResolvedWMDE-leszek
ResolvedNone
ResolvedCparle
ResolvedJdforrester-WMF
ResolvedCparle
Resolvedmatthiasmullie
Resolvedmatthiasmullie
ResolvedCparle
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
ResolvedCparle
Resolvedegardner
OpenNone
OpenNone
Resolvedmatthiasmullie
Resolvedegardner

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 481192 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Show 'depicts' data on File page (read-only)

https://gerrit.wikimedia.org/r/481192

Read-only done; editing next.

Change 485183 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Edit depicts statements on File page

https://gerrit.wikimedia.org/r/485183

Jdforrester-WMF renamed this task from Add displaying/editing statements to File page to "Depicts crawling": Add displaying/editing statements to File page.Feb 5 2019, 5:26 PM
Jdforrester-WMF added a project: Epic.
Cparle updated the task description. (Show Details)Feb 5 2019, 5:28 PM
Abit added a subscriber: Abit.Feb 5 2019, 7:30 PM

Change 485183 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Edit depicts statements on File page

https://gerrit.wikimedia.org/r/485183

Change 490122 had a related patch set uploaded (by Jforrester; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.33.0-wmf.16] Edit depicts statements on File page

https://gerrit.wikimedia.org/r/490122

Change 490122 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.33.0-wmf.16] Edit depicts statements on File page

https://gerrit.wikimedia.org/r/490122

Abit updated the task description. (Show Details)Feb 15 2019, 8:26 PM
Abit updated the task description. (Show Details)Feb 15 2019, 9:39 PM

I believe all of the children of this task have been moved to the Depicts Crawling milestone. We could delete it or keep it and possibly remove the parent tasks from each of the children.

https://phabricator.wikimedia.org/project/view/3889/ is the project - there is no hashtag, so sorry for the long link!

Moved this into the crawling milestone. Let's keep it as the parent epic for now, cos it links to the designs

Cparle closed this task as Resolved.Feb 26 2019, 5:26 PM

Closing - basic work is done, everything else covered in other tasks

Closing - basic work is done, everything else covered in other tasks

This is the top-level task. All the other work are sub-tasks of this task. That breaks the whole point of dependency tracking. :-(